Updates the equipment_model object with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

equipment_model
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

name

Name of the equipment model

string

Required

Max length: 50

description

Description of the equipment model

string
equipment_brand_id

FK Of Equipment brand

globally unique identifier
equipment_brand_code

Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model

string
equipment_brand

Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model

equipment_brand
equipment_family_id

FK Of equipment_family

globally unique identifier
equipment_family_code

Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model

string
equipment_family

Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model

equipment_family
date_in_production_since

Date in production since

date
date_out_of_production_since

Date Out Of production since

date
date_end_support

Date end support

date
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating equipment_model

string
sales_organization

Embedded entity "sales_organization" when adding/updating equipment_model

sales_organization
replacement_period_nb_months

replacement_period_nb_months

integer
warranty_period_nb_months

warranty_period_nb_months

integer
translations

List of translation of specific field name

Collection of translation
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "db16b2e3-09d6-47da-ae05-bc5009f72f85",
  "code": "sample string 2",
  "name": "sample string 3",
  "description": "sample string 4",
  "equipment_brand_id": "2700d5be-c02a-416c-8dcb-cb7f31c67b5a",
  "equipment_brand_code": "sample string 6",
  "equipment_brand": {
    "id": "2d5b5b21-5e65-4910-a51e-4fd68b7aa1c7",
    "name": "sample string 2",
    "code": "sample string 3",
    "sales_organization_id": "ece5669a-8340-4163-b174-138e5eab6fd7",
    "sales_organization_code": "sample string 5",
    "sales_organization": {
      "id": "d22a62d3-5c38-487f-8252-421e52e60c06",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "d9636c0f-ec34-4793-8834-0efe1bccf734",
      "db_currency_id": "b26c3512-258d-4b5c-af9b-12023ed3d85d",
      "db_language_id": "b75e7259-cb26-418a-ad98-9de9d197aa77",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-27T08:42:29.8429107+00:00"
    },
    "modified_dateutc": "2026-10-27T08:42:29.8429107+00:00"
  },
  "equipment_family_id": "430e5c72-200c-47b8-a1e7-79c84dd1c0d5",
  "equipment_family_code": "sample string 8",
  "equipment_family": {
    "id": "ba26d798-b3fc-4c76-9d1b-783207004b02",
    "name": "sample string 2",
    "description": "sample string 3",
    "code": "sample string 4",
    "_parent_id": "91ce1318-14ff-4892-a04c-37f7cff757d4",
    "_parent_code": "sample string 6",
    "sales_organization_id": "9c2c043e-90fc-4ee6-878c-afb07122705d",
    "sales_organization_code": "sample string 8",
    "sales_organization": {
      "id": "d22a62d3-5c38-487f-8252-421e52e60c06",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "d9636c0f-ec34-4793-8834-0efe1bccf734",
      "db_currency_id": "b26c3512-258d-4b5c-af9b-12023ed3d85d",
      "db_language_id": "b75e7259-cb26-418a-ad98-9de9d197aa77",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-27T08:42:29.8429107+00:00"
    },
    "modified_dateutc": "2026-10-27T08:42:29.8429107+00:00"
  },
  "date_in_production_since": "2026-10-27T08:42:29.8429107+00:00",
  "date_out_of_production_since": "2026-10-27T08:42:29.8429107+00:00",
  "date_end_support": "2026-10-27T08:42:29.8429107+00:00",
  "sales_organization_id": "b688e326-54a6-4e8d-b9c7-e4d0d7ced0ca",
  "sales_organization_code": "sample string 13",
  "sales_organization": {
    "id": "d22a62d3-5c38-487f-8252-421e52e60c06",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "d9636c0f-ec34-4793-8834-0efe1bccf734",
    "db_currency_id": "b26c3512-258d-4b5c-af9b-12023ed3d85d",
    "db_language_id": "b75e7259-cb26-418a-ad98-9de9d197aa77",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-10-27T08:42:29.8429107+00:00"
  },
  "replacement_period_nb_months": 14,
  "warranty_period_nb_months": 15,
  "translations": [
    {
      "field_name": "sample string 1",
      "language_code": "sample string 2",
      "value_translated": "sample string 3"
    },
    {
      "field_name": "sample string 1",
      "language_code": "sample string 2",
      "value_translated": "sample string 3"
    }
  ],
  "modified_dateutc": "2026-10-27T08:42:29.8429107+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.